Package org.apache.storm.daemon.logviewer.utils

## Class ExceptionMeterNames

- java.lang.Object
- - org.apache.storm.daemon.logviewer.utils.ExceptionMeterNames

-     public class ExceptionMeterNames
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `NUM_CLEANUP_EXCEPTIONS` |
    `static String` | `NUM_DOWNLOAD_DAEMON_LOG_EXCEPTIONS` |
    `static String` | `NUM_DOWNLOAD_DUMP_EXCEPTIONS` |
    `static String` | `NUM_DOWNLOAD_LOG_EXCEPTIONS` |
    `static String` | `NUM_FILE_DOWNLOAD_EXCEPTIONS` |
    `static String` | `NUM_FILE_OPEN_EXCEPTIONS` |
    `static String` | `NUM_FILE_READ_EXCEPTIONS` |
    `static String` | `NUM_FILE_REMOVAL_EXCEPTIONS` |
    `static String` | `NUM_LIST_DUMP_EXCEPTIONS` |
    `static String` | `NUM_LIST_LOG_EXCEPTIONS` |
    `static String` | `NUM_READ_DAEMON_LOG_EXCEPTIONS` |
    `static String` | `NUM_READ_LOG_EXCEPTIONS` |
    `static String` | `NUM_SEARCH_EXCEPTIONS` |
    `static String` | `NUM_SET_PERMISSION_EXCEPTIONS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExceptionMeterNames()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `registerMeters​(StormMetricsRegistry registry)` | It may be helpful to register these meters up front, so they are output even if their values are zero.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NUM_FILE_OPEN_EXCEPTIONS

          public static final String NUM_FILE_OPEN_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### NUM_FILE_READ_EXCEPTIONS

          public static final String NUM_FILE_READ_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### NUM_FILE_REMOVAL_EXCEPTIONS

          public static final String NUM_FILE_REMOVAL_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### NUM_FILE_DOWNLOAD_EXCEPTIONS

          public static final String NUM_FILE_DOWNLOAD_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### NUM_SET_PERMISSION_EXCEPTIONS

          public static final String NUM_SET_PERMISSION_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### NUM_CLEANUP_EXCEPTIONS

          public static final String NUM_CLEANUP_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### NUM_READ_LOG_EXCEPTIONS

          public static final String NUM_READ_LOG_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### NUM_READ_DAEMON_LOG_EXCEPTIONS

          public static final String NUM_READ_DAEMON_LOG_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### NUM_LIST_LOG_EXCEPTIONS

          public static final String NUM_LIST_LOG_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### NUM_LIST_DUMP_EXCEPTIONS

          public static final String NUM_LIST_DUMP_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### NUM_DOWNLOAD_DUMP_EXCEPTIONS

          public static final String NUM_DOWNLOAD_DUMP_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### NUM_DOWNLOAD_LOG_EXCEPTIONS

          public static final String NUM_DOWNLOAD_LOG_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### NUM_DOWNLOAD_DAEMON_LOG_EXCEPTIONS

          public static final String NUM_DOWNLOAD_DAEMON_LOG_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### NUM_SEARCH_EXCEPTIONS

          public static final String NUM_SEARCH_EXCEPTIONS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExceptionMeterNames

          public ExceptionMeterNames()

  - ### Method Detail

    - #### registerMeters

          public static void registerMeters​(StormMetricsRegistry registry)

      It may be helpful to register these meters up front, so they are output even if their values are zero.
      Parameters:
        `registry` - The metrics registry.